package com.example.nto.controller;

import com.example.nto.Utils;
import com.example.nto.entity.ResponseData;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.media.Content;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.responses.ApiResponse;
import io.swagger.v3.oas.annotations.responses.ApiResponses;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
public class GlobalController {
    Utils utils = new Utils();

    @PostMapping("/api/login")
    @Operation(summary = "Auth employee with login")
    @ApiResponses(value = {
            @ApiResponse(responseCode = "200",
                    description = "Auth employee with login success",
                    content = {@Content(mediaType = "application/json",
                            schema = @Schema(implementation = ResponseData.class))}),
            @ApiResponse(responseCode = "401",
                    description = "Login not found or invalid"),
            @ApiResponse(responseCode = "400",
                    description = "Something went wrong")

    })
    public ResponseEntity<ResponseData> login() {
        return utils.Ok("Auth success!");
    }
}
